/*
 *  format-window.h
 *
 *  Copyright (C) 2008-2009 Red Hat, Inc.
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Tomas Bzatek <tbzatek@redhat.com>
 *
 */

#ifndef FORMAT_WINDOW_H
#define FORMAT_WINDOW_H

#include <gtk/gtk.h>
#include <gdu/gdu.h>
#include <polkit-gnome/polkit-gnome.h>


G_BEGIN_DECLS

typedef struct {
  GtkDialog *dialog;
  GtkWidget *close_button;
  GtkWidget *icon_image;
  GtkWidget *name_label;
  GtkWidget *details1_label;
  GtkWidget *details2_label;
  GtkWidget *details3_label;
  GtkWidget *details4_label;
  GtkWidget *mount_warning;
  GtkWidget *readonly_warning;
  GtkWidget *no_media_warning;
  GtkWidget *label_entry;
  GtkWidget *part_type_combo_box;
  GtkWidget *part_flag_boot_check_button;
  GtkWidget *part_flag_required_check_button;
  GtkWidget *encrypted_check_button;
  GtkWidget *take_ownership_of_fs_check_button;
  GtkWidget *progress_bar;
  GtkWidget *progress_bar_box;
  GtkWidget *controls_box;
  GtkWidget *partition_label;
  GtkWidget *volume_selector;

  GduPresentable *presentable;
  GduPool *pool;
  gboolean standalone_mode;
  gboolean selector_mode;

  gboolean job_running;
  gboolean job_cancelled;
} FormatDialogPrivate;



/*  pass presentable=NULL and standalone_mode=TRUE to display volume selector   */
/*  we do ref presentable ourselves                                             */
void  nautilus_gdu_spawn_dialog  (GduPresentable  *presentable,
                                  gboolean         standalone_mode);


/*  update sensitivity of main controls, action buttons etc.  */
void  update_ui_controls         (FormatDialogPrivate *priv);


/*  we do ref presentable ourselves  */
void  select_new_presentable     (FormatDialogPrivate *priv,
                                  GduPresentable *presentable);

G_END_DECLS

#endif

